Subject: Re: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Mar 2020 18:14:28 +0200

> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 6 Mar 2020 18:01:25 +0200
> 
> On 06.03.2020 11:40, Eli Zaretskii wrote:
> 
> > We could start by coming up with a list of commands and the use cases
> > where these commands are useful.  Then we could reason whether these
> > are important enough to add to the manual.
> 
> project-find-file and project-find-regexp are the main ones. Useful 
> when... you want to visit a file within the current project, or search 
> it for a regexp?
> 
> xref-query-replace-in-results could also be mentioned, given that it 
> allows the user to replace the matches with some other string (both in 
> project-find-regexp output, and in xref-find-references output).
> 
> > Do we have in core any feature that provides back-end for the
> > project.el infrastructure?  It sounds like we only support VC as
> > back-end in project.el, is that true?
> 
> It's extensible via project-find-functions, which was the core design goal.
> 
> In the core, we have only two backends indeed: one using VC, and another 
> for EDE.
> 
> Though I'm not sure if the latter has any users, and its implementation 
> is very simplistic.

So if we want to document the above two commands, we should do that in
the VC chapter, and talk about "project" meaning the current VCS
repository?